> For the complete documentation index, see [llms.txt](https://docs.thewalletcrew.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.thewalletcrew.io/connectors/fr/custom-connector/reference-de-script-des-connecteurs-personnalises/enrichissement-de-lurl-du-lien-wallet.md).

# Enrichissement de l’URL du lien Wallet

Réécrivez une URL de redirection de lien Wallet avant qu’un client ne soit redirigé, à l’aide de \`runtime.wallet.linkUrlEnricher\`.

Ce hook facultatif s'exécute lorsqu'une redirection d'un lien Wallet (un court `wlt.pm/~...` lien) est résolu, avant que le client ne soit redirigé vers l'URL de destination. Il peut réécrire l'URL — par exemple, pour ajouter des paramètres de suivi spécifiques au locataire. Il ne nécessite aucune configuration supplémentaire — l'enregistrement du point de terminaison dans un script suffit pour qu'il soit appelé.

```js
/**
 * @typedef {Object} CarteContext
 * @property {string} CarteId
 * @property {string} CarteType
 * @property {Record<string, string>} Identifiants
 * @property {Record<string, any>} [DonnéesSupplémentaires]
 * @property {Record<string, any>} Métadonnées
 * @property {"apple"|"google"} [Appareil]
 * @property {string} [Origine]
 * @property {string} [IdentifiantSource]
 * @property {string} [Langue]
 */

/**
 * @param {string} url - L'URL de destination sur le point d'être utilisée pour la redirection.
 * @param {CarteContext} context - Informations sur la carte et la source du lien.
 * @returns {Promise<string|null>} L'URL vers laquelle rediriger, ou null pour conserver l'URL d'origine inchangée.
 */
async function enrich(url, context) {
  return url + (url.includes("?") ? "&" : "?") + "carteType=" + encodeURIComponent(context.CarteType);
}

export default function (context) {
  context.register('runtime.wallet.linkUrlEnricher', {
    Enrich: enrich
  });
}
```

{% hint style="info" %}
Lorsque ce point de terminaison n'est pas enregistré, The Wallet Crew applique ses propres paramètres UTM par défaut (`utm_source=thewalletcrew`, plus `utm_medium`/`utm_campaign`/`utm_content` dérivés de la source du lien) à la place. L'enregistrement de ce hook remplace entièrement ce comportement par défaut pour chaque lien Wallet.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.thewalletcrew.io/connectors/fr/custom-connector/reference-de-script-des-connecteurs-personnalises/enrichissement-de-lurl-du-lien-wallet.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
